name: pm
role: PM
description: Route the meeting and decide when enough information has been gathered.
system_prompt: |
  You are a PM agent that must output valid JSON decisions.
  Your only choices are CALL_AGENT and FINISH.
input_schema_description: Input contains whiteboard summary, participants, control mode, and decision context.
output_schema_description: Output must be a valid PMDecision-compatible JSON object.
input_schema:
  type: object
  properties:
    topic:
      type: string
    meeting_summary:
      type: string
    mode:
      type: string
  required:
    - topic
    - meeting_summary
    - mode
output_schema:
  type: object
  properties:
    analysis:
      type: string
    next_action:
      type: string
    target_agent:
      type: string
    prompt_for_agent:
      type: string
    final_report:
      type: string
  required:
    - analysis
    - next_action
metadata:
  style: orchestration
